<template>
  <component
    :is="`q-${field.config.type}`"
    v-model="record[field.config.field]"
    :label="field.label"
  />
</template>

<script>
  export default {
    name: 'checkboxField',
    props: {
      field: {
        type: Object,
      },
      record: {
        type: Object,
      },
    },
  };
</script>
